{% extends 'catalog/base.html' %}

{% block title %}<title>Home</title>{% endblock %}

{% block content %}

<h1>Local Library Home</h1>

  <p>Welcome to <em>LocalLibrary</em>, a very basic Django website developed as a tutorial example on the Mozilla Developer Network.</p>

<h2>Dynamic content</h2>

  <p>The library has the following record counts:</p>
  <ul>
    <li><strong>Books:</strong> {{ num_books }}</li>
    <li><strong>Copies:</strong> {{ num_instances }}</li>
    <li><strong>Copies available:</strong> {{ num_instances_available }}</li>
    <li><strong>Authors:</strong> {{ num_authors }}</li>
    <li><strong>Genre:</strong>{{ genre_num }}</li>
    <li><strong>Books with 'the' in title:</strong>
        <ol>
            {% for book in the_in_title %}
                <li>{{ book.title }}</li>
            {% endfor %}
        </ol>
    </li>
  </ul>

  <p>You have visited this page {{ num_visits }}{% if num_visits == 1 %} time{% else %} times{% endif %}.</p>
{% endblock %}